
# Interface: AppleRequestResponseFullName

An optional full name shared by the user.

These fields are populated with values that the user authorized.

## Hierarchy

* **AppleRequestResponseFullName**

## Index

### Properties

* [familyName](_lib_index_d_.applerequestresponsefullname.md#familyname)
* [givenName](_lib_index_d_.applerequestresponsefullname.md#givenname)
* [middleName](_lib_index_d_.applerequestresponsefullname.md#middlename)
* [namePrefix](_lib_index_d_.applerequestresponsefullname.md#nameprefix)
* [nameSuffix](_lib_index_d_.applerequestresponsefullname.md#namesuffix)
* [nickname](_lib_index_d_.applerequestresponsefullname.md#nickname)

## Properties

###  familyName

• **familyName**: *string | null*

*Defined in [lib/index.d.ts:306](../../lib/index.d.ts#L306)*

Name passed from one generation to another to indicate lineage, e.g. Appleseed

___

###  givenName

• **givenName**: *string | null*

*Defined in [lib/index.d.ts:296](../../lib/index.d.ts#L296)*

Name bestowed upon an individual by one's parents, e.g. Johnathan

___

###  middleName

• **middleName**: *string | null*

*Defined in [lib/index.d.ts:301](../../lib/index.d.ts#L301)*

Secondary given name chosen to differentiate those with the same first name, e.g. Maple

___

###  namePrefix

• **namePrefix**: *string | null*

*Defined in [lib/index.d.ts:291](../../lib/index.d.ts#L291)*

Pre-nominal letters denoting title, salutation, or honorific, e.g. Dr., Mr.

___

###  nameSuffix

• **nameSuffix**: *string | null*

*Defined in [lib/index.d.ts:311](../../lib/index.d.ts#L311)*

Post-nominal letters denoting degree, accreditation, or other honor, e.g. Esq., Jr., Ph.D.

___

###  nickname

• **nickname**: *string | null*

*Defined in [lib/index.d.ts:316](../../lib/index.d.ts#L316)*

Name substituted for the purposes of familiarity, e.g. "Johnny"
